## glances 3.1.3

=== Makefile ===
PORT?=8008

install:
	sensible-browser "https://github.com/nicolargo/glances#installation"

test:
	./unitest-all.sh

docs:
	cd docs && ./build.sh

docs-server: docs
	(sleep 2 && sensible-browser "http://localhost:$(PORT)") &
	cd docs/_build/html/ && python -m SimpleHTTPServer $(PORT)

.PHONY: test docs docs-server

=== requirements.txt ===
psutil==5.6.3
future

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Glances.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Glances.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Glances"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Glances"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."
	rm -f man/*
	cp $(BUILDDIR)/man/* man/
	@echo "The manual pages have been copied in ./man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
glances (3.1.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #939073).
  * debian/control
    + Add ${sphinxdoc:Depends} in Depends.
    + Bump to Standards-Version 4.4.1 (no changes needed).
    + Mark Rules-Requires-Root: no as we don't need root for building.
  * debian/patches
    + Add 006_fix_broken_method_call.patch.
    + Add 007_fix_SyntaxWarning.patch.
    + Refresh 004_disable-pypi.patch.
    + Refresh 005_fix-typo.patch.
  * Now glances server listen in 127.0.0.1 (Closes: #942162).
    + Read README.Debian file for more info.
  * Update lintian-overrides file.

 -- Daniel Echeverry <epsilon@debian.org>  Fri, 17 Jan 2020 22:14:31 -0500

glances (3.1.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #932741)
  * debian/control
    + Update DH 12 in B-D.
    + Bump to Standards-Version 4.4.0 (no changes needed)
    + Add python3-pynvml in Suggests field. (Closes: #927116)
    + Add Pre-Depends field.
  * debian/patches
    + Refresh 005_fix-typo.patch patch.
  * Use debhelper-compat instead of debian/compat.
  * debian/rules
    + Remove dh_installchangelog because isn't necessary.
    + Add dh_missing override to delete doctree dir.
    + Remove egg-info files in dh_auto_clean override.
  * Remove some unused lintian overrides.

 -- Daniel Echeverry <epsilon@debian.org>  Mon, 19 Aug 2019 12:15:00 -0500

=== debian/control ===
Source: glances
Section: utils
Priority: optional
Maintainer: Daniel Echeverry <epsilon@debian.org>
Uploaders: Sebastien Badia <sbadia@debian.org>
Build-Depends: debhelper (>= 12~),
               debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-psutil,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/debian/glances
Vcs-Git: https://salsa.debian.org/debian/glances.git
Homepage: https://nicolargo.github.com/glances/
Rules-Requires-Root: no

Package: glances
Architecture: all
Depends: adduser,
         lsb-base (>=3.0-6),
         node-normalize.css,
         python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends}
Recommends: hddtemp,
            lm-sensors,
            python3-bottle,
            python3-docker,
            python3-influxdb,
            python3-matplotlib,
            python3-netifaces,
            python3-pysnmp4,
            python3-pystache
Pre-Depends: ${misc:Pre-Depends}
Suggests: glances-doc, python3-pynvml
Description: Curses-based monitoring tool
 Glances is a curses-based monitoring tool for GNU/Linux or BSD OS.
 Glances uses the PsUtil library to get information from your system.
 .
 It monitors CPU, load, memory, network bandwidth, disk I/O, disk use, process.

Package: glances-doc
Architecture: all
Section: doc
Depends: fonts-font-awesome,
         fonts-lato,
         fonts-roboto-slab,
         libjs-jquery,
         libjs-underscore,
         ${misc:Depends},
	 ${sphinxdoc:Depends}
Suggests: glances
Breaks: glances (<< 2.5.1-1)
Replaces: glances (<< 2.5.1-1)
Description: Documentation for glances Curses-based monitoring tool
 This package provides all information about glances and how to use it
 Glances is  a cross-platform curses-based monitoring tool which aims
 to present a maximum of information in a minimum of space, ideally to
 fit in a classical 80x24 terminal or higher to have additional information.
 Also work in client/server mode. Remote monitoring could be done via terminal
 or web interface

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=glances

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

# Split package and documentation
override_dh_sphinxdoc:
	python3 -m sphinx -b html -d debian/tmp/doctrees docs \
		debian/glances-doc/usr/share/doc/glances/html
	# Fonts
	rm -rf $(CURDIR)/debian/glances-doc/usr/share/doc/glances/html/_static/fonts/Lato-*
	rm -rf $(CURDIR)/debian/glances-doc/usr/share/doc/glances/html/_static/fonts/RobotoSlab-*
	rm -rf $(CURDIR)/debian/glances-doc/usr/share/doc/glances/html/_static/fonts/fontawesome-*

override_dh_missing:
	rm -rf debian/tmp/doctrees
	dh_missing --fail-missing

# Split package and documentation
override_dh_auto_install:
	dh_auto_install --destdir $(CURDIR)/debian/glances
	# Remove embedded code copies
	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/css/normalize.css
	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/css/normalize.min.css
	rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/html/_static/jquery.js
	rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/html/_static/underscore.js
	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/images/glances.png
	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/images/glances.png
	rm -f $(CURDIR)/debian/glances/usr/lib/python*/dist-packages/glances/outputs/static/README.md
	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/9a360c92ce9bda60a8da6389741dcfbf.png

# Overriding test to prevent FTBS (cf. #733168) http://bugs.debian.org/733168
# disable tests as they require /etc/mtab and fail in chroots
override_dh_auto_test:

# Fix lintian warning (duplicates files Copying, News; and remove authors, glances.conf)
override_dh_installdocs:
	set -e && for docs in COPYING AUTHORS NEWS glances.conf; do \
                rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/$$docs ; \
        done
	dh_installdocs

override_dh_auto_clean:
	rm -rf ./Glances.egg-info
	dh_auto_clean

## glances 3.1.4.1

=== debian/changelog ===
glances (3.1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Bump to Standards-Version 4.5.0 (no changes needed).
  * debian/patches
    + Remove 006_fix_broken_method_call.patch
    + Remove 007_fix_SyntaxWarning.patch.
      + Merge with upstream.
  * debian/upstream/metadata
    + Add Bug-Database and Bug-Submit fields.

 -- Daniel Echeverry <epsilon@debian.org>  Wed, 25 Mar 2020 20:19:44 -0500

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/glances
 Vcs-Git: https://salsa.debian.org/debian/glances.git
 Homepage: https://nicolargo.github.com/glances/

## glances 3.1.5

=== requirements.txt ===
psutil==5.7.0
future

=== debian/changelog ===
glances (3.1.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Update debhelper-compat 13.
    + Update my lastname.
    + Remove node-normalize.css in Depends field.
    + Add libjs-sphinxdoc, node-html5shiv in Depends field.
  * debian/glances.links
    + Remove some links because aren't necessary.
  * debian/glances-doc.links
    + Add new symlinks to use Debian  JavaScript libraries.
  * debian/rules
    + Don't install embedded copy of JavaScript libraries.
  * debian/patches
    + Refresh debian/patches/005_fix-typo.patch.
    + Forwarded 001_reproducible-build.patch to upstream.
    + Other patches forwarded not-needed.
  * Add debian/glances.lintian-overrides file.

 -- Daniel Echeverri <epsilon@debian.org>  Sun, 04 Oct 2020 22:42:34 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: glances
 Section: utils
 Priority: optional
-Maintainer: Daniel Echeverry <epsilon@debian.org>
+Maintainer: Daniel Echeverri <epsilon@debian.org>
 Uploaders: Sebastien Badia <sbadia@debian.org>
-Build-Depends: debhelper (>= 12~),
-               debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-psutil,
@@ -21,7 +20,6 @@
 Architecture: all
 Depends: adduser,
          lsb-base (>=3.0-6),
-         node-normalize.css,
          python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends}
@@ -50,6 +48,8 @@
          fonts-roboto-slab,
          libjs-jquery,
          libjs-underscore,
+	 libjs-sphinxdoc,
+         node-html5shiv,
          ${misc:Depends},
 	 ${sphinxdoc:Depends}
 Suggests: glances

=== debian/rules ===
--- 
+++ 
@@ -25,10 +25,15 @@
 override_dh_auto_install:
 	dh_auto_install --destdir $(CURDIR)/debian/glances
 	# Remove embedded code copies
-	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/css/normalize.css
-	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/css/normalize.min.css
+	#rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/css/normalize.css
+	#rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/css/normalize.min.css
 	rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/html/_static/jquery.js
 	rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/html/_static/underscore.js
+	rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/html/_static/doctools.js
+	rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/html/_static/language_data.js
+	rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/html/_static/searchtools.js
+	rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/html/_static/js/html5shiv-printshiv.min.js
+	rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/html/_static/js/html5shiv.min.js
 	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/images/glances.png
 	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/images/glances.png
 	rm -f $(CURDIR)/debian/glances/usr/lib/python*/dist-packages/glances/outputs/static/README.md

## glances 3.2.3.1%2Bdfsg

=== Makefile ===
PORT?=8008
LASTTAG = $(shell git describe --tags --abbrev=0)

install:
	sensible-browser "https://github.com/nicolargo/glances#installation"

venv-python:
	virtualenv -p /usr/bin/python3 venv

venv-dev:
	./venv/bin/pip install -r dev-requirements.txt
	./venv/bin/pip install -r doc-requirements.txt

venv-dev-upgrade:
	./venv/bin/pip install --upgrade pip
	./venv/bin/pip install --upgrade -r dev-requirements.txt
	./venv/bin/pip install --upgrade -r doc-requirements.txt

venv:
	./venv/bin/pip install -r requirements.txt
	./venv/bin/pip install -r optional-requirements.txt

venv-upgrade:
	./venv/bin/pip install --upgrade -r dev-requirements.txt
	./venv/bin/pip install --upgrade -r requirements.txt
	./venv/bin/pip install --upgrade -r optional-requirements.txt

test: venv
	./venv/bin/python ./unitest.py
	./venv/bin/python ./unitest-restful.py
	./venv/bin/python ./unitest-xmlrpc.py

docs: venv-dev
	./venv/bin/python -m glances -C ./conf/glances.conf --api-doc > ./docs/api.rst
	cd docs && ./build.sh && cd ..

docs-server: docs
	(sleep 2 && sensible-browser "http://localhost:$(PORT)") &
	cd docs/_build/html/ && ./venv/bin/python -m SimpleHTTPServer $(PORT)

webui: venv-dev
	cd glances/outputs/static/ && npm install && npm audit fix && npm run build

run: venv
	./venv/bin/python -m glances -C ./conf/glances.conf

run-debug: venv
	./venv/bin/python -m glances -C ./conf/glances.conf -d

run-webserver: venv
	./venv/bin/python -m glances -C ./conf/glances.conf -w

run-restapiserver: venv
	./venv/bin/python -m glances -C ./conf/glances.conf -w --disable-webui

run-server: venv
	./venv/bin/python -m glances -C ./conf/glances.conf -s

run-client: venv
	./venv/bin/python -m glances -C ./conf/glances.conf -c localhost

run-browser: venv
	./venv/bin/python -m glances -C ./conf/glances.conf --browser

show-version: venv
	./venv/bin/python -m glances -C ./conf/glances.conf -V

show-issue: venv
	./venv/bin/python -m glances -C ./conf/glances.conf --issue

profiling: venv venv-dev
	@echo "Please complete and run: sudo ./venv/bin/py-spy record -o ./docs/_static/glances-flame.svg -d 60 -s --pid <GLANCES PID>"

release-note:
	git --no-pager log $(LASTTAG)..HEAD --first-parent --pretty=format:"* %s"
	@echo "\n"
	git --no-pager shortlog -s -n $(LASTTAG)..HEAD

.PHONY: test docs docs-server

## glances 3.2.3.1+dfsg

=== requirements.txt ===
psutil>=5.3.0
defusedxml
future

=== debian/changelog ===
glances (3.2.3.1+dfsg-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * Move hddtemp, lm-sensors, python3-netifaces to Depends.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 07 Dec 2021 08:52:00 -0500

glances (3.2.3.1+dfsg-1) unstable; urgency=medium

  [Alexis Murzeau]
  * Remove Exclude prebuilt javascript files. (Closes: #990340)
    + Please see this MR for the full changes.
      + https://salsa.debian.org/debian/glances/-/merge_requests/2
        + Thanks to Alexis for the work!

  [Daniel Echeverri]
  * New upstream release.
  * debian/control
    + Add python3-defusedxml and python3-sphinx-rtd-theme in B-D.
    + Bump to Standards-Version 4.6.0.1 (no changes needed).
  * debian/patches
    + Add 007_disable_ip_module_by_default.diff patch.
      + Disable ip module by default. (Closes: #850258)
    + Remove 001_reproducible-build.patch.
      + Merge with upstream
    + Remove 005_fix-typo.patch.
      + Merge with upstream
    + Refresh 004_disable-pypi.patch.
  * Add entry in README.debian file.
  * Remove lintian overrides.

 -- Daniel Echeverri <epsilon@debian.org>  Sun, 07 Nov 2021 19:35:20 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: glances
 Section: utils
 Priority: optional
-Maintainer: Daniel Echeverri <epsilon@debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Daniel Echeverri <epsilon@debian.org>
 Uploaders: Sebastien Badia <sbadia@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -9,8 +10,9 @@
                python3-psutil,
                python3-setuptools,
                python3-sphinx,
-               python3-sphinx-rtd-theme
-Standards-Version: 4.5.0
+	       python3-defusedxml,
+	       python3-sphinx-rtd-theme
+Standards-Version: 4.6.0.1
 Vcs-Browser: https://salsa.debian.org/debian/glances
 Vcs-Git: https://salsa.debian.org/debian/glances.git
 Homepage: https://nicolargo.github.com/glances/
@@ -21,15 +23,15 @@
 Depends: adduser,
          lsb-base (>=3.0-6),
          python3-pkg-resources,
+         hddtemp,
+         lm-sensors,
+         python3-netifaces,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: hddtemp,
-            lm-sensors,
-            python3-bottle,
+Recommends: python3-bottle,
             python3-docker,
             python3-influxdb,
             python3-matplotlib,
-            python3-netifaces,
             python3-pysnmp4,
             python3-pystache
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+
 
 # Split package and documentation
 override_dh_sphinxdoc:
@@ -37,7 +38,6 @@
 	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/images/glances.png
 	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/images/glances.png
 	rm -f $(CURDIR)/debian/glances/usr/lib/python*/dist-packages/glances/outputs/static/README.md
-	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/9a360c92ce9bda60a8da6389741dcfbf.png
 
 # Overriding test to prevent FTBS (cf. #733168) http://bugs.debian.org/733168
 # disable tests as they require /etc/mtab and fail in chroots

## glances 3.2.4.2%2Bdfsg

=== debian/changelog ===
glances (3.2.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Update Homepage field.
    + Remove hddtemp from Recommends field. (Closes: #1001940)
  * debian/rules
    + Some commented lines are deleted.

 -- Daniel Echeverri <epsilon@debian.org>  Sun, 19 Dec 2021 11:48:54 -0500

## glances 3.2.4.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -36,10 +36,10 @@
 
 docs-server: docs
 	(sleep 2 && sensible-browser "http://localhost:$(PORT)") &
-	cd docs/_build/html/ && ./venv/bin/python -m SimpleHTTPServer $(PORT)
+	cd docs/_build/html/ && ../../../venv/bin/python -m http.server $(PORT)
 
 webui: venv-dev
-	cd glances/outputs/static/ && npm install && npm audit fix && npm run build
+	cd glances/outputs/static/ && npm ci && npm run build
 
 run: venv
 	./venv/bin/python -m glances -C ./conf/glances.conf

=== requirements.txt ===
psutil>=5.3.0
defusedxml
future
packaging

=== debian/changelog ===
glances (3.2.4.2+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports. (Closes: #1003426)

 -- Boyuan Yang <byang@debian.org>  Thu, 13 Jan 2022 14:52:00 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: glances
 Section: utils
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Daniel Echeverri <epsilon@debian.org>
+Maintainer: Daniel Echeverri <epsilon@debian.org>
 Uploaders: Sebastien Badia <sbadia@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -15,7 +14,7 @@
 Standards-Version: 4.6.0.1
 Vcs-Browser: https://salsa.debian.org/debian/glances
 Vcs-Git: https://salsa.debian.org/debian/glances.git
-Homepage: https://nicolargo.github.com/glances/
+Homepage: https://github.com/nicolargo/glances
 Rules-Requires-Root: no
 
 Package: glances
@@ -23,15 +22,14 @@
 Depends: adduser,
          lsb-base (>=3.0-6),
          python3-pkg-resources,
-         hddtemp,
-         lm-sensors,
-         python3-netifaces,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-bottle,
+Recommends: lm-sensors,
+            python3-bottle,
             python3-docker,
             python3-influxdb,
             python3-matplotlib,
+            python3-netifaces,
             python3-pysnmp4,
             python3-pystache
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
--- 
+++ 
@@ -25,9 +25,6 @@
 # Split package and documentation
 override_dh_auto_install:
 	dh_auto_install --destdir $(CURDIR)/debian/glances
-	# Remove embedded code copies
-	#rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/css/normalize.css
-	#rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/css/normalize.min.css
 	rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/html/_static/jquery.js
 	rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/html/_static/underscore.js
 	rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/html/_static/doctools.js

## glances 3.2.5+dfsg

=== Makefile ===
--- 
+++ 
@@ -29,6 +29,10 @@
 	./venv/bin/python ./unitest.py
 	./venv/bin/python ./unitest-restful.py
 	./venv/bin/python ./unitest-xmlrpc.py
+	./venv/bin/python -m black ./glances --check --exclude outputs/static
+
+format: venv
+	./venv/bin/python -m black ./glances --exclude outputs/static
 
 docs: venv-dev
 	./venv/bin/python -m glances -C ./conf/glances.conf --api-doc > ./docs/api.rst
@@ -71,6 +75,13 @@
 profiling: venv venv-dev
 	@echo "Please complete and run: sudo ./venv/bin/py-spy record -o ./docs/_static/glances-flame.svg -d 60 -s --pid <GLANCES PID>"
 
+trace-malloc: venv
+	@echo "Malloc test is running, please wait ~30 secondes..."
+	./venv/bin/python -m glances -C ./conf/glances.conf --trace-malloc --stop-after 15 --quiet
+
+memory-leak: venv
+	./venv/bin/python -m glances -C ./conf/glances.conf --memory-leak
+
 release-note:
 	git --no-pager log $(LASTTAG)..HEAD --first-parent --pretty=format:"* %s"
 	@echo "\n"

=== debian/changelog ===
glances (3.2.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches
    + Refresh 004_disable-pypi.patch patch.
    + Refresh 006_indicate_user_webserver_static_files_not_included.patch

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 16 Apr 2022 18:39:34 -0500

## glances 3.3.1.1+dfsg

=== Makefile ===
PORT?=8008
LASTTAG = $(shell git describe --tags --abbrev=0)

# if the command is only `make`, the default tasks will be the printing of the help.
.DEFAULT_GOAL := help

.PHONY: help
help: ## List all make commands available
	@grep -E '^[\.a-zA-Z_%-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk -F ":" '{print $1}' | grep -v % | sed 's/\\//g' | sort | awk 'BEGIN {FS = ":[^:]*?##"}; {printf "\033[1;34mmake %-50s\033[0m %s\n", $$1, $$2}'

install: ## Open a Web Browser to the installation procedure
	sensible-browser "https://github.com/nicolargo/glances#installation"

venv-python: ## Install Python 3 venv
	virtualenv -p /usr/bin/python3 venv

venv-dev: venv-python ## Install Python 3 dev dependencies
	./venv/bin/pip install -r dev-requirements.txt
	./venv/bin/pip install -r doc-requirements.txt

venv-dev-upgrade: ## Upgrade Python 3 dev dependencies
	./venv/bin/pip install --upgrade pip
	./venv/bin/pip install --upgrade -r dev-requirements.txt
	./venv/bin/pip install --upgrade -r doc-requirements.txt

venv: venv-python ## Install Python 3 run-time dependencies
	./venv/bin/pip install -r requirements.txt
	./venv/bin/pip install -r optional-requirements.txt

venv-upgrade: ## Upgrade Python 3 run-time dependencies
	./venv/bin/pip install --upgrade -r requirements.txt
	./venv/bin/pip install --upgrade -r optional-requirements.txt

# ===================================================================
# Tests
# ===================================================================

test: ## Run unit tests
	./venv/bin/python ./unitest.py
	./venv/bin/python ./unitest-restful.py
	./venv/bin/python ./unitest-xmlrpc.py
	./venv/bin/python -m black ./glances --check --exclude outputs/static
	./venv/bin/pyright glances

test-with-upgrade: venv-upgrade venv-dev-upgrade ## Run unit tests
	./venv/bin/python ./unitest.py
	./venv/bin/python ./unitest-restful.py
	./venv/bin/python ./unitest-xmlrpc.py
	./venv/bin/python -m black ./glances --check --exclude outputs/static
	./venv/bin/pyright glances

# ===================================================================
# Linters and profilers
# ===================================================================

format: venv-dev-upgrade ## Format the code
	@git ls-files '*.py' | xargs ./venv/bin/python -m autopep8 --in-place --jobs 0 --global-config=.flake8
	@git ls-files '*.py' | xargs ./venv/bin/python -m autoflake --in-place --remove-all-unused-imports --remove-unused-variables --remove-duplicate-keys --exclude="compat.py,globals.py"
	./venv/bin/python -m black ./glances --exclude outputs/static

flake8: venv-dev-upgrade ## Run flake8 linter.
	@git ls-files '*.py' | xargs ./venv/bin/python -m flake8 --config=.flake8

codespell: venv-dev-upgrade ## Run codespell to fix common misspellings in text files
	./venv/bin/codespell -S .git,./docs/_build,./Glances.egg-info,./venv,./glances/outputs,*.svg -L hart,bu,te,statics

profiling: ## How to start the profiling of the Glances software
	@echo "Please complete and run: sudo ./venv/bin/py-spy record -o ./docs/_static/glances-flame.svg -d 60 -s --pid <GLANCES PID>"

trace-malloc: ## Trace the malloc() calls
	@echo "Malloc test is running, please wait ~30 secondes..."
	./venv/bin/python -m glances -C ./conf/glances.conf --trace-malloc --stop-after 15 --quiet

memory-leak: ## Profile memory leaks
	./venv/bin/python -m glances -C ./conf/glances.conf --memory-leak

memory-profiling: ## Profile memory usage
	@echo "It's a very long test (~4 hours)..."
	rm -f mprofile_*.dat
	@echo "1/2 - Start memory profiling with the history option enable"
	./venv/bin/mprof run -T 1 -C run.py -C ./conf/glances.conf --stop-after 2400 --quiet
	./venv/bin/mprof plot --output ./docs/_static/glances-memory-profiling-with-history.png
	rm -f mprofile_*.dat
	@echo "2/2 - Start memory profiling with the history option disable"
	./venv/bin/mprof run -T 1 -C run.py -C ./conf/glances.conf --disable-history --stop-after 2400 --quiet
	./venv/bin/mprof plot --output ./docs/_static/glances-memory-profiling-without-history.png
	rm -f mprofile_*.dat

# ===================================================================
# Docs
# ===================================================================

docs: venv-dev-upgrade ## Create the documentation
	./venv/bin/python -m glances -C ./conf/glances.conf --api-doc > ./docs/api.rst
	cd docs && ./build.sh && cd ..

docs-server: docs ## Start a Web server to serve the documentation
	(sleep 2 && sensible-browser "http://localhost:$(PORT)") &
	cd docs/_build/html/ && ../../../venv/bin/python -m http.server $(PORT)

release-note: ## Generate release note
	git --no-pager log $(LASTTAG)..HEAD --first-parent --pretty=format:"* %s"
	@echo "\n"
	git --no-pager shortlog -s -n $(LASTTAG)..HEAD

# ===================================================================
# WebUI
# ===================================================================

webui: venv-dev-upgrade ## Build the Web UI
	cd glances/outputs/static/ && npm ci && npm run build

webui-audit: venv-dev-upgrade ## Audit the Web UI
	cd glances/outputs/static/ && npm audit

webui-audit-fix: venv-dev-upgrade ## Fix audit the Web UI
	cd glances/outputs/static/ && npm audit fix && npm ci && npm run build

# ===================================================================
# Packaging
# ===================================================================

flatpak: venv-dev-upgrade ## Generate FlatPack JSON file
	git clone https://github.com/flatpak/flatpak-builder-tools.git
	./venv/bin/python ./flatpak-builder-tools/pip/flatpak-pip-generator glances
	rm -rf ./flatpak-builder-tools
	@echo "Now follow: https://github.com/flathub/flathub/wiki/App-Submission"

# ===================================================================
# Docker
# ===================================================================

docker: docker-alpine ## Generate local docker images

docker-alpine: ## Generate local docker images (Alpine)
	docker build --target full -f ./docker-files/alpine.Dockerfile -t glances:local-alpine-full .
	docker build --target minimal -f ./docker-files/alpine.Dockerfile -t glances:local-alpine-minimal .
	docker build --target dev -f ./docker-files/alpine.Dockerfile -t glances:local-alpine-dev .

docker-ubuntu: ## Generate local docker images (Ubuntu)
	docker build --target full -f ./docker-files/ubuntu.Dockerfile -t glances:local-ubuntu-full .
	docker build --target minimal -f ./docker-files/ubuntu.Dockerfile -t glances:local-ubuntu-minimal .
	docker build --target dev -f ./docker-files/ubuntu.Dockerfile -t glances:local-ubuntu-dev .

# ===================================================================
# Run
# ===================================================================

run: ## Start Glances in console mode (also called standalone)
	./venv/bin/python -m glances -C ./conf/glances.conf

run-debug: ## Start Glances in debug console mode (also called standalone)
	./venv/bin/python -m glances -C ./conf/glances.conf -d

run-local-conf: ## Start Glances in console mode with the system conf file
	./venv/bin/python -m glances

run-docker-alpine-minimal: ## Start Glances Alpine Docker minimal in console mode
	docker run --rm -v /var/run/docker.sock:/var/run/docker.sock:ro --pid host --network host -it glances:local-alpine-minimal

run-docker-alpine-full: ## Start Glances Alpine Docker full in console mode
	docker run --rm -v /var/run/docker.sock:/var/run/docker.sock:ro --pid host --network host -it glances:local-alpine-full

run-docker-alpine-dev: ## Start Glances Alpine Docker dev in console mode
	docker run --rm -v /var/run/docker.sock:/var/run/docker.sock:ro --pid host --network host -it glances:local-alpine-dev

run-docker-ubuntu-minimal: ## Start Glances Ubuntu Docker minimal in console mode
	docker run --rm -v /var/run/docker.sock:/var/run/docker.sock:ro --pid host --network host -it glances:local-ubuntu-minimal

run-docker-ubuntu-full: ## Start Glances Ubuntu Docker full in console mode
	docker run --rm -v /var/run/docker.sock:/var/run/docker.sock:ro --pid host --network host -it glances:local-ubuntu-full

run-docker-ubuntu-dev: ## Start Glances Ubuntu Docker dev in console mode
	docker run --rm -v /var/run/docker.sock:/var/run/docker.sock:ro --pid host --network host -it glances:local-ubuntu-dev

run-webserver: ## Start Glances in Web server mode
	./venv/bin/python -m glances -C ./conf/glances.conf -w

run-restapiserver: ## Start Glances in REST API server mode
	./venv/bin/python -m glances -C ./conf/glances.conf -w --disable-webui

run-server: ## Start Glances in server mode (RPC)
	./venv/bin/python -m glances -C ./conf/glances.conf -s

run-client: ## Start Glances in client mode (RPC)
	./venv/bin/python -m glances -C ./conf/glances.conf -c localhost

run-browser: ## Start Glances in browser mode (RPC)
	./venv/bin/python -m glances -C ./conf/glances.conf --browser

show-version: ## Show Glances version number
	./venv/bin/python -m glances -C ./conf/glances.conf -V

show-issue: ## Generate output for a new issue
	./venv/bin/python -m glances -C ./conf/glances.conf --issue

.PHONY: test docs docs-server venv

=== requirements.txt ===
psutil>=5.6.7
defusedxml
packaging
future; python_version < "3.0"
ujson<3; python_version < "3.0"
ujson<4; python_version >= "3.5" and python_version < "3.6"
ujson<5; python_version >= "3.6" and python_version < "3.7"
ujson>=5.4.0; python_version >= "3.7"

=== debian/changelog ===
glances (3.3.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Add python3-ujson in B-D.
    + Use sysvinit-utils (>= 3.05-4~) instead lsb-base depend.
    + Bump to Standards-Version 4.6.2
  * debian/copyright
    + Extend copyright debian holders years.
  * debian/patches
    + Refresh 002_no_put_links_in_doc.patch
    + Refresh 003_not_install_static_dir.patch
    + Refresh 007_disable_ip_module_by_default.diff

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 21 Jan 2023 16:45:28 -0500

glances (3.3.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Bump to Standards-Version 4.6.1.0 (no changes needed).
  * debian/patches
    + Refresh 004_disable-pypi.patch.
    + Refresh 007_disable_ip_module_by_default.diff
  * debian/copyright
    + Extend copyright debian holders years.
    + Update my lastname and my email.
  * debian/rules
    + Remove ESLint config file.
    + Remove .gitignore file.
  * Update debian/NEWS file.
  * Remove glances.lintian-overrides files.
    + the warning no longer exists.

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 22 Oct 2022 22:57:16 -0500

glances (3.2.5+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:07:34 +0200

=== debian/rules ===
--- 
+++ 
@@ -35,6 +35,8 @@
 	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/images/glances.png
 	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/images/glances.png
 	rm -f $(CURDIR)/debian/glances/usr/lib/python*/dist-packages/glances/outputs/static/README.md
+	rm -f $(CURDIR)/debian/glances/usr/lib/python*/dist-packages/glances/outputs/static/.eslintrc.js
+	rm -f $(CURDIR)/debian/glances/usr/lib/python*/dist-packages/glances/outputs/static/.gitignore
 
 # Overriding test to prevent FTBS (cf. #733168) http://bugs.debian.org/733168
 # disable tests as they require /etc/mtab and fail in chroots

## glances 3.4.0.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: glances
 Section: utils
 Priority: optional
-Maintainer: Daniel Echeverri <epsilon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Echeverri <epsilon@debian.org>
 Uploaders: Sebastien Badia <sbadia@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -10,8 +11,9 @@
                python3-setuptools,
                python3-sphinx,
 	       python3-defusedxml,
-	       python3-sphinx-rtd-theme
-Standards-Version: 4.6.0.1
+	       python3-sphinx-rtd-theme,
+               python3-ujson
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/glances
 Vcs-Git: https://salsa.debian.org/debian/glances.git
 Homepage: https://github.com/nicolargo/glances
@@ -20,7 +22,7 @@
 Package: glances
 Architecture: all
 Depends: adduser,
-         lsb-base (>=3.0-6),
+         sysvinit-utils (>= 3.05-4~),
          python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends}
@@ -34,6 +36,7 @@
             python3-pystache
 Pre-Depends: ${misc:Pre-Depends}
 Suggests: glances-doc, python3-pynvml
+Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
 Description: Curses-based monitoring tool
  Glances is a curses-based monitoring tool for GNU/Linux or BSD OS.
  Glances uses the PsUtil library to get information from your system.
